run-php-laravel-test:
  image: php:8.2-cli
  stage: test
  services:
    - mysql:latest
  variables:
    MYSQL_DATABASE: php_laravel_app
    MYSQL_ROOT_PASSWORD: secret
    DB_HOST: mysql
    DB_USERNAME: root
  cache:
    paths:
      - vendor/
  before_script:
    - php -v # Print out php version for debugging
    - cd src/sample-php-laravel-app
    - cp .env.example .env
    - apt-get update
    - apt-get install -qq git curl libmcrypt-dev libjpeg-dev libpng-dev libfreetype6-dev libbz2-dev libzip-dev
    - apt-get clean
    - docker-php-ext-install pdo_mysql zip
    - curl --silent --show-error "https://getcomposer.org/installer" | php -- --install-dir=/usr/local/bin --filename=composer
    - composer install
    - php artisan key:generate
    - php artisan migrate
  script:
    - vendor/bin/phpunit

verify-php-findings:
  image: badouralix/curl-jq
  stage: qa
  needs:
    - code_quality
  script:
    - echo "Expect code_quality job will have at least 1 sonar-php offense"
    - |
      count=`jq 'map(select(.engine_name=="sonar-php")) | length' gl-code-quality-report.json`
      if [ "$count" == "0" ]; then
        exit 1
      fi

